# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2010 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.


In=In
Out=Out
InOut=In/Out
Return=Return

EXC_NoSpecificationFactory=no specification factory

# Node Descriptions
ND_Catalog=Catalog
ND_Column=Column
ND_Connection=Database Connection
ND_DriverList=List of Driver Templates
ND_Driver=Driver Template
ND_ForeignKey=Foreign Key
ND_PrimaryKey=Primary Key
ND_Index=Index

ND_ProcedureList=List of Stored Procedures
ND_Procedure=Procedure
ND_Procedure_Invalid=Procedure with Errors
ND_Function=Function
ND_Function_Invalid=Function with Errors
ND_Trigger=Trigger
ND_Trigger_Invalid=Trigger with Errors
ND_ProcedureParam=Stored Procedure Parameter
ND_Root=Database Explorer Module Home
ND_Schema=Schema
ND_TableList=List of Tables
ND_Table=Table
ND_ViewList=List of Views
ND_View=View
ND_ForeignKeyList=List of Foreign Keys
ND_IndexList=List of Indexes

DriverListNode_DISPLAYNAME=Drivers
ForeignKeyListNode_DISPLAYNAME=Foreign Keys
IndexListNode_DISPLAYNAME=Indexes
ProcedureListNode_DISPLAYNAME=Procedures
RootNode_DISPLAYNAME=Databases
TableListNode_DISPLAYNAME=Tables
ViewListNode_DISPLAYNAME=Views

StoredProcedure=Stored procedure
StoredFunction=Stored function
StoredTrigger=Trigger

#NodeRegistry
NodeRegistry_CloseBrokenConnection=The Database Connection {0} seems to be broken.\nCause: {1}
NodeRegistry_CloseBrokenConnectionMore=...
